Skip to main content
`Ctrl`+`K`

# DSType

String with the name of the type of direct solver. Roughly, there are as many types as problem types are available within SLEPc.

## Synopsis

    typedef const char *DSType;
    #define DSHEP    "hep"
    #define DSNHEP   "nhep"
    #define DSGHEP   "ghep"
    #define DSGHIEP  "ghiep"
    #define DSGNHEP  "gnhep"
    #define DSNHEPTS "nhepts"
    #define DSSVD    "svd"
    #define DSHSVD   "hsvd"
    #define DSGSVD   "gsvd"
    #define DSPEP    "pep"
    #define DSNEP    "nep"

## See Also

DS: Direct Solver (or Dense System), `DSSetType()`, `DS`

## Level

beginner

## Location

include/slepcds.h

Index of all DS routines Table of Contents for all manual pages Index of all manual pages